## org.w3c.tools.sexpr
Class Symbol

    java.lang.Object
      |
      +--org.w3c.tools.sexpr.Symbol

public class Symbol
extends java.lang.Object
implements SExpr

Base class for lisp-like symbols.

Constructor Summary
`protected` `Symbol(java.lang.String name)`

Method Summary
`static Symbol` `makeSymbol(java.lang.String name, java.util.Dictionary symbols)` Creates a symbol and potentially interns it in a symbol table.
`void` `printExpr(java.io.PrintStream out)` Print a representation of the s-expression into the output stream.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Symbol

    protected Symbol(java.lang.String name)

Method Detail

### makeSymbol

    public static Symbol makeSymbol(java.lang.String name,
                                    java.util.Dictionary symbols)

  Creates a symbol and potentially interns it in a symbol table.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### printExpr

    public void printExpr(java.io.PrintStream out)

  Description copied from interface: SExpr
  Print a representation of the s-expression into the output stream.
  Specified by:
    printExpr in interface SExpr